Update
curl --request PUT \
--url https://api-staging.genuka.com/2023-11/admin/collections/01hea29gpx259j0mq164hxpt0f \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "Collection description",
"handle": "handle-collection-2",
"title": "Collection test"
}
'import requests
url = "https://api-staging.genuka.com/2023-11/admin/collections/01hea29gpx259j0mq164hxpt0f"
payload = {
"content": "Collection description",
"handle": "handle-collection-2",
"title": "Collection test"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: 'Collection description',
handle: 'handle-collection-2',
title: 'Collection test'
})
};
fetch('https://api-staging.genuka.com/2023-11/admin/collections/01hea29gpx259j0mq164hxpt0f', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Collections
Update collection
Updates the details of an existing product collection identified by its unique ID. This endpoint allows modifying the collection’s name, description, image, or product associations. Returns the updated collection data upon success.
PUT
/
2023-11
/
admin
/
collections
/
01hea29gpx259j0mq164hxpt0f
Update
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Example:
"{{companyId}}"
Body
application/json
Response
200 - undefined
⌘I
